aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xci/after_success.sh9
-rw-r--r--ci/build.bat6
-rw-r--r--ci/common/test.sh12
-rwxr-xr-xci/install.sh4
-rw-r--r--codecov.yml2
5 files changed, 20 insertions, 13 deletions
diff --git a/ci/after_success.sh b/ci/after_success.sh
deleted file mode 100755
index 388b6eb714..0000000000
--- a/ci/after_success.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/usr/bin/env bash
-
-set -e
-set -o pipefail
-
-if [[ -n "${GCOV}" ]]; then
- coveralls --gcov "$(which "${GCOV}")" --encoding iso-8859-1 || echo 'coveralls upload failed.'
- bash <(curl -s https://codecov.io/bash) || echo 'codecov upload failed.'
-fi
diff --git a/ci/build.bat b/ci/build.bat
index 9909d102a4..5c7f14ad0a 100644
--- a/ci/build.bat
+++ b/ci/build.bat
@@ -56,6 +56,10 @@ bin\nvim --version || goto :error
:: Functional tests
mingw32-make functionaltest VERBOSE=1 || goto :error
+if defined USE_GCOV (
+ C:\msys64\usr\bin\bash -lc "cd /c/projects/neovim; bash <(curl -s https://codecov.io/bash) -c -F functionaltest || echo 'codecov upload failed.'"
+)
+
:: Old tests
setlocal
set PATH=%PATH%;C:\msys64\usr\bin
@@ -63,7 +67,7 @@ mingw32-make -C "%~dp0\..\src\nvim\testdir" VERBOSE=1
endlocal
if defined USE_GCOV (
- C:\msys64\usr\bin\bash -lc "cd /c/projects/neovim; bash <(curl -s https://codecov.io/bash) || echo 'codecov upload failed.'"
+ C:\msys64\usr\bin\bash -lc "cd /c/projects/neovim; bash <(curl -s https://codecov.io/bash) -c -F oldtest || echo 'codecov upload failed.'"
)
:: Build artifacts
diff --git a/ci/common/test.sh b/ci/common/test.sh
index 1cb3a6224b..bc80dfead7 100644
--- a/ci/common/test.sh
+++ b/ci/common/test.sh
@@ -1,6 +1,15 @@
. "${CI_DIR}/common/build.sh"
. "${CI_DIR}/common/suite.sh"
+submit_coverage() {
+ if [ -n "${GCOV}" ]; then
+ if curl --fail --output codecov.bash --silent https://codecov.io/bash; then
+ bash codecov.bash -c -F "$1" || echo "codecov upload failed."
+ rm -f codecov.bash
+ fi
+ fi
+}
+
print_core() {
local app="$1"
local core="$2"
@@ -82,6 +91,7 @@ run_unittests() {(
if ! build_make unittest ; then
fail 'unittests' F 'Unit tests failed'
fi
+ submit_coverage unittest
check_core_dumps "$(which luajit)"
exit_suite
)}
@@ -92,6 +102,7 @@ run_functionaltests() {(
if ! build_make ${FUNCTIONALTEST}; then
fail 'functionaltests' F 'Functional tests failed'
fi
+ submit_coverage functionaltest
asan_check "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
check_core_dumps
@@ -105,6 +116,7 @@ run_oldtests() {(
reset
fail 'oldtests' F 'Legacy tests failed'
fi
+ submit_coverage oldtest
asan_check "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
check_core_dumps
diff --git a/ci/install.sh b/ci/install.sh
index eb7fb14760..60d9507bfb 100755
--- a/ci/install.sh
+++ b/ci/install.sh
@@ -13,8 +13,8 @@ if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
fi
# Use default CC to avoid compilation problems when installing Python modules.
-echo "Install neovim module and coveralls for Python 2."
-CC=cc pip2.7 -q install --user --upgrade neovim cpp-coveralls
+echo "Install neovim module for Python 2."
+CC=cc pip2.7 -q install --user --upgrade neovim
echo "Install neovim module for Python 3."
# Allow failure. pyenv pip3 on travis is broken:
diff --git a/codecov.yml b/codecov.yml
index 0b3de06b97..481eea89ee 100644
--- a/codecov.yml
+++ b/codecov.yml
@@ -1,6 +1,6 @@
codecov:
notify:
- require_ci_to_pass: yes
+ require_ci_to_pass: no
ci:
- appveyor
- travis